#include <GLUT/glut.h>
#include <stdlib.h>



void display(void)
{
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
	gluLookAt(10.0, 10.0, 3.0,  // position (x, y, z) de l'oeil
			  0.0, 0.0, 0.0,  // point visÃ© (x', y', z')
	          0.0, 0.0, 1.0);
	
	//dessin axes
	glColor4d(0.5,0.5,0.0,1.0);
	glBegin(GL_LINES);
	glVertex3d(0.0,0.0,50.0);
	glVertex3d(0.0,0.0,-50.0);
	glVertex3d(0.0,50.0,0.0);
	glVertex3d(0.0,-50.0,0.0);
	glVertex3d(50.0,0.0,0.0);
	glVertex3d(-50.0,0.0,0.0);
	glEnd();
	
	
	glPushMatrix();
	
	glBegin(GL_QUADS);
	glColor4d(1.0, 1.0, 1.0 ,1.0);
	glVertex3d(5.0,5.0,5.0);//faccia superiore
	glVertex3d(5.0,-5.0,5.0);
	glVertex3d(-5.0,-5.0,5.0);
	glVertex3d(-5.0,5.0,5.0);
	
	glColor4d(0.0, 1.0, 1.0 ,1.0);
	glVertex3d(5.0,5.0,-5.0); //faccia inferiore
	glVertex3d(5.0,-5.0,-5.0);
	glVertex3d(-5.0,-5.0,-5.0);
	glVertex3d(-5.0,5.0,-5.0);
	
	glColor4d(1.0, 0.0, 1.0 ,1.0);
	glVertex3d(5.0,5.0,-5.0); //faccia laterale1
	glVertex3d(-5.0,5.0,-5.0);
	glVertex3d(-5.0,5.0,5.0);
	glVertex3d(5.0,5.0,5.0);
	
	glColor4d(1.0, 0.0, 0.0 ,1.0);
	glVertex3d(-5.0,-5.0,-5.0); //faccia laterale2
	glVertex3d(-5.0,5.0,-5.0);
	glVertex3d(-5.0,5.0,5.0);
	glVertex3d(-5.0,-5.0,5.0);
	
	glColor4d(0.5, 0.5, 0.0 ,1.0);
	glVertex3d(-5.0,-5.0,-5.0); //faccia laterale3
	glVertex3d(5.0,-5.0,-5.0);
	glVertex3d(5.0,-5.0,5.0);
	glVertex3d(-5.0,-5.0,5.0);
	
	glColor4d(0.0, 0.5, 0.5 ,1.0);
	glVertex3d(5.0,5.0,-5.0); //faccia laterale4
	glVertex3d(5.0,-5.0,-5.0);
	glVertex3d(5.0,-5.0,5.0);
	glVertex3d(5.0,5.0,5.0);
	glEnd();
	
	glPopMatrix();
	
	glFlush();
	glutSwapBuffers();
}


void init(void)
{
	glClearColor (0.0, 0.0, 0.0, 0.0);
	glShadeModel (GL_FLAT);
	
}

void reshape(int w, int h)
{
    glViewport (0, 0, (GLsizei) w, (GLsizei) h);
    glEnable(GL_DEPTH_TEST);    //
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    gluPerspective(65.0, 4./3., 0.0, 1000.0);
    glOrtho(-20.0, 20.0, -20.0, 20.0, -20.0, 20.0);
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();
}

int main(int argc, char** argv)
{
	glutInit(&argc, argv);
	glutInitDisplayMode (GLUT_DOUBLE | GLUT_RGB);
	glutInitWindowSize (500, 500);
	glutInitWindowPosition (100, 100);
	glutCreateWindow ("test");
	init ();
	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutMainLoop();
	return 0;   
}
